### Method

# Ide Context build_filename

#### Declaration

    gchar*
    ide_context_build_filename (
      IdeContext* self,
      const gchar* first_part,
      ...
    )

#### Description

Creates a new path that starts from the working directory of the loaded project.

Available since: | 3.32
This method is not directly available to language bindings.

#### Parameters

`first_part` | `const gchar*`
| First path part.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`...` | ``
| No description available.

#### Return value

Returns: | `gchar*`
| A string containing the new path.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.